# PhasicFlow: boundaryIntegrationList Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundaryIntegrationList Class Reference
Inheritance diagram for boundaryIntegrationList:
[legend]
Collaboration diagram for boundaryIntegrationList:
[legend]

## Public Member Functions

| boundaryIntegrationList (const pointStructure &pStruct, const word &method, integration &intgrtn)
| ~boundaryIntegrationList ()=default
bool | correct (real dt, realx3PointField_D &y, realx3PointField_D &dy)
bool | correctPStruct (real dt, pointStructure &pStruct, const realx3PointField_D &vel)
Public Member Functions inherited from ListPtr< boundaryIntegration >
| TypeInfoTemplateNV11 ("ListPtr", boundaryIntegration)
| ListPtr ()
| ListPtr (size_t len)
| ListPtr (const ListPtrType &src)
| ListPtr (ListPtrType &&src)
ListPtrType & | operator= (const ListPtrType &rhs)
ListPtrType & | operator= (ListPtrType &&rhs)
ListPtrType * | clonePtr () const
uniquePtr< ListPtrType > | clone () const
| ~ListPtr ()
uniquePtr< boundaryIntegration > | set (size_t i, boundaryIntegration *ptr)
uniquePtr< boundaryIntegration > | set (size_t i, uniquePtr< boundaryIntegration > &&ptr)
uniquePtr< boundaryIntegration > | setSafe (size_t i, Args &&... args)
pFlow::uniquePtr< boundaryIntegration > | setSafe (size_t i, Args &&... args)
void | push_back (boundaryIntegration *ptr)
void | push_back (uniquePtr< boundaryIntegration > &&ptr)
void | push_backSafe (Args &&... args)
boundaryIntegration & | operator[] (size_t i)
const boundaryIntegration & | operator[] (size_t i) const
size_t | size () const
auto | empty () const
uniquePtr< boundaryIntegration > | release (size_t i)
void | clear ()
void | clear (size_t i)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const

## Private Attributes

const boundaryList & | boundaries_

## Additional Inherited Members

Public Types inherited from ListPtr< boundaryIntegration >
using | ListPtrType = ListPtr< boundaryIntegration >
using | listType = std::list< boundaryIntegration * >
using | iterator = typename listType::iterator
using | const_iterator = typename listType::const_iterator
Static Public Member Functions inherited from ListPtr< boundaryIntegration >
static uniquePtr< boundaryIntegration > | makeSafe (Args &&... args)
Protected Member Functions inherited from ListPtr< boundaryIntegration >
bool | copy (const ListPtrType &src)
boundaryIntegration * | ptr (size_t i)
const boundaryIntegration * | ptr (size_t i) const
auto | pos (size_t i)
auto | pos (size_t i) const
Protected Attributes inherited from ListPtr< boundaryIntegration >
std::list< boundaryIntegration * > | list_

## Detailed Description

Definition at line 16 of file boundaryIntegrationList.hpp.

## Constructor & Destructor Documentation

## boundaryIntegrationList()

boundaryIntegrationList | ( | const pointStructure & | pStruct,
|  | const word & | method,
|  | integration & | intgrtn
| ) |  |

Definition at line 4 of file boundaryIntegrationList.cpp.

References boundaryIntegrationList::boundaries_, boundaryIntegration::create(), pStruct, and ListPtr< boundaryIntegration >::set().

Here is the call graph for this function:

## ~boundaryIntegrationList()

~boundaryIntegrationList | ( |  | ) |

default

## Member Function Documentation

## correct()

bool correct | ( | real | dt,
|  | realx3PointField_D & | y,
|  | realx3PointField_D & | dy
| ) |  |

Definition at line 29 of file boundaryIntegrationList.cpp.

References pFlow::endl(), and fatalErrorInFunction.

Here is the call graph for this function:

## correctPStruct()

bool correctPStruct | ( | real | dt,
|  | pointStructure & | pStruct,
|  | const realx3PointField_D & | vel
| ) |  |

Definition at line 44 of file boundaryIntegrationList.cpp.

References pFlow::endl(), and fatalErrorInFunction.

Here is the call graph for this function:

## Member Data Documentation

## boundaries_

const boundaryList& boundaries_

private

Definition at line 22 of file boundaryIntegrationList.hpp.

Referenced by boundaryIntegrationList::boundaryIntegrationList().

The documentation for this class was generated from the following files:

- src/Integration/boundaries/boundaryIntegrationList.hpp
- src/Integration/boundaries/boundaryIntegrationList.cpp